module CBopStackVariables
    implicit none
    public
    Type::BopStackSpecificationType
        real(8) :: AboveAnnularHeight = 10.0d0
        real(8) :: AnnularPreventerHeight = 10.2d0
        real(8) :: UpperRamHeight = 14.632d0
        real(8) :: LowerRamHeight = 21.35d0
        real(8) :: BlindRamHeight = 16.24d0
        real(8) :: KillHeight = 18.8d0
        real(8) :: KillOpen = 1.5d0
        real(8) :: KillClose = 1.5d0
        real(8) :: GroundLevel = 30.0d0
        real(8) :: LowerRamOpen
        real(8) :: LowerRamClose
        real(8) :: ChokeOpen
        real(8) :: ChokeClose
        real(8) :: BlindRamOpen
        real(8) :: BlindRamClose
        real(8) :: UpperRamOpen
        real(8) :: UpperRamClose
        real(8) :: AnnularPreventerOpen
        real(8) :: AnnularPreventerClose
        real(8) :: RamStringDrag
        real(8) :: AnnularStringDrag
        real(8) :: ChokeLineLength
        real(8) :: ChokeLineId
    End Type BopStackSpecificationType
    
end module CBopStackVariables